Page MenuHomePhabricator

ContentHandler's inability to create redirects for certain content models should be reflected in the UI
Closed, ResolvedPublic

Description

See [[en:Wikipedia:Village pump (technical)#Moving without redirect]].

The ContentHandler code correctly realizes that it cannot create a redirect for content models such as "js" or "css". But the Special:MovePage user interface does not reflect this: it will still offer the option to leave a redirect behind, and after moving will incorrectly state that a redirect was created. It appears the API action=move will have the same problem, including 'redirectcreated' in the response even if no redirect was actually created.

At least the part about incorrectly stating that the redirect was created should be fixed.


Version: 1.21.x
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=34930

Details

Reference
bz42915

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz42915.
bzimport added a subscriber: Unknown Object (MLST).
Anomie created this task.Dec 10 2012, 2:25 PM

Change I2d02b266: (bug 42915) make MovePage aware of whether redirects are supported.

thewub.wiki wrote:

*** Bug 43277 has been marked as a duplicate of this bug. ***

Merged by Aaron Schulz on the 3rd. Is this bug fixed now?

daniel added a comment.Jan 8 2013, 5:15 PM

Fix was merged and is due for deployment seen.

Denny added a comment.Aug 22 2013, 2:56 PM

Closed older resolved bugs as verified.